## xca 1.3.2

=== Makefile ===
#
# Makefile for XCA
#
#####################################################################

TAG=RELEASE.$(TVERSION)
TARGET=xca-$(TVERSION)
MAKEFLAGS += -rR

export BUILD=$(shell pwd)

ifneq ($(MAKECMDGOALS), distclean)
ifneq ($(MAKECMDGOALS), clean)
ifneq ($(MAKECMDGOALS), dist)
include Local.mak
endif
endif
endif
ifeq ($(TOPDIR),)
TOPDIR=.
endif

VPATH=$(TOPDIR)
SUBDIRS=lib widgets img misc
OBJECTS=$(patsubst %, %/.build-stamp, $(SUBDIRS))
INSTDIR=misc lang doc img
INSTTARGET=$(patsubst %, install.%, $(INSTDIR))
APPTARGET=$(patsubst %, app.%, $(INSTDIR))

DMGSTAGE=$(BUILD)/xca-$(VERSION)
MACTARGET=$(DMGSTAGE)-$(DARWIN)${EXTRA_VERSION}
APPDIR=$(DMGSTAGE)/xca.app/Contents
OSSLSIGN_OPT=sign -pkcs12 "$(HOME)"/Christian_Hohnstaedt.p12 -askpass \
	-n "XCA $(VERSION)" -i https://sourceforge.net/projects/xca/ \
	-t http://time.certum.pl -h sha2 -verbose

all: xca_db_stat$(SUFFIX)
ifeq ($(SUFFIX), .exe)
all: setup$(SUFFIX)
export CFLAGS_XCA_DB_STAT=-mconsole
else
ifneq ($(MACDEPLOYQT),)
all: $(MACTARGET).dmg
else
all: xca$(SUFFIX) do.doc do.lang
	@echo
	@echo "Ok, compilation was successful."
	@echo "Now do as root: 'make install'"
	@echo
endif
endif

ifeq ($(MAKECMDGOALS),)
MAKEFLAGS += -s
PRINT=echo
else
PRINT=:
endif
export PRINT

ifneq ($(TOPDIR), $(BUILD))
do.ui: clean_topdir
clean_topdir:
	$(MAKE) -C $(TOPDIR) clean
endif

xca$(SUFFIX): $(OBJECTS)
	@$(PRINT) "  LINK   $@"
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(patsubst %,@%, $^) $(LIBS) -o $@

do.ui do.doc do.lang: do.%:
	mkdir -p $*
	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile VPATH=$(TOPDIR)/$* $*

headers: do.ui

%/.build-stamp: headers
	mkdir -p $*
	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
		VPATH=$(TOPDIR)/$*

xca_db_stat$(SUFFIX): lib/.build-stamp
	$(MAKE) -C lib -f $(TOPDIR)/lib/Makefile \
		VPATH=$(TOPDIR)/lib $@
	cp lib/$@ $@

$(INSTTARGET): install.%: %/.build-stamp
	mkdir -p $*
	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
		VPATH=$(TOPDIR)/$* install

$(APPTARGET): app.%: %/.build-stamp
	mkdir -p $*
	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
		VPATH=$(TOPDIR)/$* APPDIR=$(APPDIR) app

clean:
	find lib widgets img misc  -name "*.o" \
				-o -name ".build-stamp" \
				-o -name ".depend" \
				-o -name "moc_*.cpp" | xargs rm -f
	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz img/imgres.cpp
	rm -f lang/*.xml
	rm -f xca$(SUFFIX) setup_xca*.exe xca_db_stat$(SUFFIX) *.dmg
	rm -rf xca-$(VERSION)*

distclean: clean
	rm -f local.h Local.mak config.log config.status

dist: $(TARGET).tar.gz
$(TARGET).tar:
	test ! -z "$(TVERSION)"
	git archive --format=tar --prefix=$(TARGET)/ $(TAG) > _$@
	V=`tar xf _$@ -O $(TARGET)/VERSION` && \
		test "$(TVERSION)" = "$$V" && echo "$$V" > VERSION
	./bootstrap "$(TARGET)"
	tar -rf _$@ "$(TARGET)/configure"
	rm -rf "$(TARGET)"
	mv _$@ $@

$(TARGET).tar.gz: $(TARGET).tar
	gzip -9 < $^ > $@

snapshot:
	HASH=$$(git rev-parse HEAD) && \
	git archive --format=tar --prefix=xca-$${HASH}/ HEAD | \
		gzip -9 > xca-$${HASH}.tar.gz

install: xca$(SUFFIX) xca_db_stat$(SUFFIX) $(INSTTARGET)
	install -m 755 -d $(destdir)$(bindir)
	install -m 755 xca $(destdir)$(bindir)
	install -m 755 xca_db_stat $(destdir)$(bindir)
	$(STRIP) $(destdir)$(bindir)/xca

setup.exe: setup_xca-$(VERSION).exe
setup_xca-$(VERSION).exe: xca$(SUFFIX) xca_db_stat$(SUFFIX) do.doc do.lang
setup_xca-$(VERSION).exe: misc/xca.nsi
	for binary in xca$(SUFFIX) xca_db_stat$(SUFFIX); do \
	  $(STRIP) xca$(SUFFIX); \
	  if test -n "$(OSSLSIGN)"; then \
	    $(OSSLSIGN) $(OSSLSIGN_OPT) -in $${binary} -out $${binary}.signed && \
		mv $${binary}.signed $${binary}; \
	  fi; \
	done
	$(MAKENSIS) -DINSTALLDIR=$(INSTALL_DIR) -DQTDIR=$(QTDIR) \
		-DVERSION=$(VERSION) -DBDIR=$(BDIR) -DTOPDIR=$(TOPDIR)\
		-NOCD -V2 -DEXTRA_VERSION=${EXTRA_VERSION} $<
	if test -n "$(OSSLSIGN)"; then \
	  $(OSSLSIGN) $(OSSLSIGN_OPT) -in $@ -out setup.tmp && mv setup.tmp $@; \
	fi


$(DMGSTAGE): xca$(SUFFIX) xca_db_stat$(SUFFIX)
	rm -rf $(DMGSTAGE)
	mkdir -p $(DMGSTAGE)/xca.app/Contents/MacOS
	mkdir -p $(DMGSTAGE)/xca.app/Contents/Resources
	mkdir -p $(DMGSTAGE)/manual
	ln -s /Applications $(DMGSTAGE)
	install -m 644 $(TOPDIR)/COPYRIGHT $(DMGSTAGE)/COPYRIGHT.txt
	install -m 755 xca $(DMGSTAGE)/xca.app/Contents/MacOS
	install -m 755 xca_db_stat $(DMGSTAGE)/xca.app/Contents/MacOS
	$(STRIP) $(DMGSTAGE)/xca.app/Contents/MacOS/xca
	$(STRIP) $(DMGSTAGE)/xca.app/Contents/MacOS/xca_db_stat
	$(MAKE) $(APPTARGET)
	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
	ln -s xca.html $(DMGSTAGE)/manual/index.html
	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
	codesign -s "Open Source Developer, Christian Hohnstaedt" $(DMGSTAGE)/xca.app

xca.dmg: $(MACTARGET).dmg

xca.app: $(DMGSTAGE)

$(MACTARGET).dmg: $(DMGSTAGE)
	hdiutil create -ov -srcfolder $< $@

trans:
	$(MAKE) -C lang po2ts
	lupdate-qt4 -locations relative $(TOPDIR)/xca.pro
	$(MAKE) -C lang xca.pot

.PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang macdeployqt/macdeployqt $(DMGSTAGE)

do.doc do.lang headers: local.h

Local.mak: $(TOPDIR)/configure Local.mak.in
	$(TOPDIR)/configure

=== doc/Makefile ===
ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

DELFILES=xca*.html xca.1.gz xca_db_stat.1.gz

doc: xca.1.gz xca_db_stat.1.gz xca.html
include $(TOPDIR)/Rules.mak

%.1.gz: %.1
	@$(PRINT) "  MAN    [$(BASENAME)] $@"
	gzip -9 <$^ >$@

xca.html: xca.sgml
	rm -f xca*.html
	echo 'The documentation for XCA can be viewed online at: <a href="http://xca.sourceforge.net/">http://xca.sourceforge.net/</a>.' > $@
	test ! -f xca-doc.tgz || tar zxf xca-doc.tgz
	@$(PRINT) "  DOC    [$(BASENAME)] $@"
	$(DOCTOOL) $< >/dev/null

install: $(doc)
	install -m 755 -d $(destdir)$(htmldir) \
		$(destdir)$(mandir)/man1
	install -m 644 xca*.html $(destdir)$(htmldir)
	install *.1.gz $(destdir)/$(mandir)/man1

app: xca.html
	mkdir -p $(APPDIR)/Resources
	install -m 644 xca*.html $(APPDIR)/Resources

=== img/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

OBJS=imgres.o
ifeq ($(HOST),w32)
  OBJS += w32res.o
endif

include $(TOPDIR)/Rules.mak
sinclude .depend

install: xca-32x32.xpm
	install -D -m 644 $^ $(destdir)$(prefix)/share/pixmaps/xca-32x32.xpm

imgres.cpp: imgres.rcc
	@$(PRINT) "  RCC    [$(BASENAME)] $@"
	$(RCC) -o $@ $<

imgres.rcc: bigcert.png bigcrl.png bigcsr.png bigkey.png bigtemp.png crl.png halfkey.png invalidcertkey.png invalidcert.png key.png netscape.png reqkey.png req.png revoked.png spki.png template.png validcertkey.png validcert.png scard.png

w32res.o: w32res.rc key.ico xca.ico xdb.ico
	@$(PRINT) " WINDRES $@"
	$(WINDRES) $< $@

app: xca-mac-icon.icns
	mkdir -p $(APPDIR)/Resources
	install -m 644 $^ $(APPDIR)/Resources

w32res.cpp:
	touch $@

=== lang/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif
include $(TOPDIR)/Rules.mak

PO_LANGUAGES=es tr fr
LANGUAGES=de ru hr $(PO_LANGUAGES)
QM_XCA=$(patsubst %, xca_%.qm, $(LANGUAGES))
QM_QT=$(patsubst %, qt_%.qm, $(LANGUAGES))
TS_XCA=$(patsubst %, xca_%.ts, $(PO_LANGUAGES))

lang all: $(QM_XCA)

%.qm: %.ts
	@$(PRINT) "  LANG   [$(BASENAME)] $@"
	$(LRELEASE) -silent $< -qm $@

install: $(QM_XCA)
	install -m 755 -d $(destdir)$(xca_prefix)
	install -m 644 $(QM_XCA) $(destdir)$(xca_prefix)

app:
	mkdir -p $(APPDIR)/Resources
	install -m 644 $(QM_XCA) $(APPDIR)/Resources
	cd $(TRANSLATIONS) && \
	  for x in $(QM_QT); do \
	    test -f "$$x" && install $$x $(APPDIR)/Resources;\
	  done || :

po2ts: $(TS_XCA)
xca_%.ts.xml: %.po
	po2ts -i $< > $(@)

xca_%.ts: indent.xslt xca_%.ts.xml
	xsltproc -o $@ $^

xca.pot: xca.ts
	ts2po -P $< $@

=== lib/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

MOCNAMES=db_crl db_key db_temp db_x509 db_x509req db_x509super db_base db_token\
	pki_temp pki_x509 pki_crl pki_x509req pki_key pki_x509super pki_pkcs12 \
	pki_base pki_multi pki_evp pki_scard pass_info pki_pkcs7 main
NAMES=$(MOCNAMES) asn1int oid x509rev asn1time \
	x509v3ext func load_obj x509name db import \
	pk11_attribute pkcs11 pkcs11_lib Passwd builtin_curves entropy


OBJS=$(patsubst %, %.o, $(NAMES)) $(patsubst %, moc_%.o, $(MOCNAMES))

include $(TOPDIR)/Rules.mak
sinclude .depend

xca_db_stat$(SUFFIX): xca_db_stat.o db.o db.h
	@$(PRINT) "  LINK   $@"
	$(CC) $(CPPFLAGS) $(LDFLAGS) $(CFLAGS) $(CFLAGS_XCA_DB_STAT) xca_db_stat.o db.o $(LIBS) -g -o $@

=== misc/Makefile ===

SRCPATH=$(VPATH)/

all:

include $(TOPDIR)/Rules.mak

install:
	install -m 755 -d $(destdir)$(xca_prefix) \
		$(destdir)$(datarootdir)/applications \
		$(destdir)$(datarootdir)/mime/packages
	install -m 644 $(SRCPATH)*.txt $(SRCPATH)*.xca \
			$(destdir)$(xca_prefix)
	install -m 644 $(SRCPATH)xca.desktop $(destdir)$(datarootdir)/applications
	install -m 644 $(SRCPATH)xca.xml $(destdir)$(datarootdir)/mime/packages
	if test -z "$(destdir)"; then \
	  update-mime-database $(datarootdir)/mime || :; \
	  update-desktop-database || :; \
	fi

app:
	mkdir -p $(APPDIR)/Resources
	install -m 644 $(SRCPATH)Info.plist $(SRCPATH)PkgInfo $(APPDIR)
	install -m 644 $(SRCPATH)*.txt $(SRCPATH)*.xca $(APPDIR)/Resources

=== ui/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

UI_H = ui_About.h ui_CaProperties.h ui_CertDetail.h ui_CertExtend.h \
	ui_CrlDetail.h ui_ExportDialog.h ui_Help.h \
	ui_ImportMulti.h ui_KeyDetail.h ui_MainWindow.h ui_NewCrl.h \
	ui_NewKey.h ui_NewX509.h ui_Options.h ui_PwDialog.h ui_Revoke.h \
	ui_SelectToken.h ui_TrustState.h ui_v3ext.h ui_SearchPkcs11.h \
	ui_RevocationList.h ui_OidResolver.h

include $(TOPDIR)/Rules.mak

ui: $(UI_H)

=== widgets/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

MOC_NAMES=MainWindow KeyDetail clicklabel XcaTreeView NewX509 \
	validity v3ext distname CertDetail CertExtend PwDialog \
	ImportMulti CrlDetail ExportDialog hashBox Options NewKey kvView \
	NewCrl SearchPkcs11 RevocationList XcaProxyModel XcaHeaderView \
	KeyTreeView TempTreeView ReqTreeView X509SuperTreeView CertTreeView \
	OidResolver

NAMES=$(MOC_NAMES) NewX509_ext MW_menu MW_help MW_database
OBJS=$(patsubst %,moc_%.o,$(MOC_NAMES)) $(patsubst %,%.o,$(NAMES))

include $(TOPDIR)/Rules.mak
sinclude .depend

=== debian/changelog ===
xca (1.3.2-1) unstable; urgency=medium

  * New upstream release (Closes: #706539, #811347)
  * Switch to dh build
  * Remove menu file, according to #741573
  * Bump standards version to 3.9.6, no changes needed
    Thanks to Chris Knadle for double checking.
  * Add 0001-Use-Debian-specific-CPPFLAGS.patch to use hardening flags
    Thanks to Chris Knadle for the suggestion. This also replaces the
    change from the previous NMU.
  * Add 0002-Fix-spelling-errors-found-by-lintian-packge-checker.patch
    provided by Chris Knadle
  * Drop 0001-Fix-undefined-reference-to-symbol-__cxa_free_excepti.patch
    as upstream now uses g++ for linking
  * Drop 0002-RedHat-Bug-1164340-segfault-when-viewing-a-RHEL-enti.patch
    which was included upstream

 -- Tino Mettler <tino+debian@tikei.de>  Mon, 01 Feb 2016 13:42:22 +0100

xca (1.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    - Quote CF variable contents to fix FTBFS bug (Closes: #809056)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Mon, 04 Jan 2016 01:49:40 -0500

=== debian/control ===
Source: xca
Section: x11
Priority: optional
Maintainer: Tino Mettler <tino+debian@tikei.de>
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~), autoconf, automake
Standards-Version: 3.9.6
Homepage: http://xca.sourceforge.net
Vcs-Git: http://git.hohnstaedt.de/xca.git

Package: xca
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: x509 Certification Authority management tool based on QT4
 XCA creates and manages Certificate authorities and helps the user to
 create and manage keys, certificates, certificate sign requests,
 certificate revocation lists etc.
 .
 All data is saved in an encrypted, portable database, and can be exported
 in various standard formats. XCA is also available for MacOS X and
 Windows systems.
 .
 For a good workflow, certificate templates can be defined to make the
 creation of new certificates an easy task.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	./bootstrap
	dh_auto_configure -- --prefix=/usr

override_dh_auto_install:
	destdir=$(CURDIR)/debian/xca dh_auto_install

override_dh_auto_build:
	dh_auto_build -- all

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) distclean

SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz

get-orig-source:
	git archive --format=tar upstream/${UPSTREAM} --prefix=${SOURCEPKG}_${UPSTREAM}/ | gzip -9 > ../${ORIG}

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sf.net/xca/xca-(.*)\.tar\.gz

## xca 1.4~pre1

=== Makefile ===
--- 
+++ 
@@ -99,9 +99,9 @@
 				-o -name ".build-stamp" \
 				-o -name ".depend" \
 				-o -name "moc_*.cpp" | xargs rm -f
-	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz img/imgres.cpp
-	rm -f lang/*.xml
-	rm -f xca$(SUFFIX) setup_xca*.exe xca_db_stat$(SUFFIX) *.dmg
+	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz doc/xca_db_stat.1.gz img/imgres.cpp
+	rm -f lang/*.xml lang/.build-stamp
+	rm -f xca$(SUFFIX) setup_xca*.exe xca_db_stat$(SUFFIX) lib/xca_db_stat$(SUFFIX) *.dmg
 	rm -rf xca-$(VERSION)*
 
 distclean: clean
@@ -165,7 +165,7 @@
 	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
 	ln -s xca.html $(DMGSTAGE)/manual/index.html
 	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
-	codesign -s "Open Source Developer, Christian Hohnstaedt" $(DMGSTAGE)/xca.app
+	codesign -s "Open Source Developer, Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp http://time.certum.pl
 
 xca.dmg: $(MACTARGET).dmg
 
@@ -183,5 +183,5 @@
 
 do.doc do.lang headers: local.h
 
-Local.mak: $(TOPDIR)/configure Local.mak.in
+Local.mak: configure Local.mak.in
 	$(TOPDIR)/configure

## xca 1.4~pre2

=== Makefile ===
--- 
+++ 
@@ -165,7 +165,7 @@
 	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
 	ln -s xca.html $(DMGSTAGE)/manual/index.html
 	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
-	codesign -s "Open Source Developer, Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp http://time.certum.pl
+	-codesign -s "Open Source Developer, Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp http://time.certum.pl
 
 xca.dmg: $(MACTARGET).dmg

=== doc/Makefile ===
--- 
+++ 
@@ -17,13 +17,13 @@
 	echo 'The documentation for XCA can be viewed online at: <a href="http://xca.sourceforge.net/">http://xca.sourceforge.net/</a>.' > $@
 	test ! -f xca-doc.tgz || tar zxf xca-doc.tgz
 	@$(PRINT) "  DOC    [$(BASENAME)] $@"
-	$(DOCTOOL) $< >/dev/null
+	$(ENABLE_DOC)$(DOCTOOL) $< >/dev/null
 
 install: $(doc)
-	install -m 755 -d $(destdir)$(htmldir) \
-		$(destdir)$(mandir)/man1
-	install -m 644 xca*.html $(destdir)$(htmldir)
-	install *.1.gz $(destdir)/$(mandir)/man1
+	$(ENABLE_DOC)install -m 755 -d $(destdir)$(htmldir)
+	$(ENABLE_DOC)install -m 644 xca*.html $(destdir)$(htmldir)
+	install -m 755 -d $(destdir)$(mandir)/man1
+	install -m 644 *.1.gz $(destdir)/$(mandir)/man1
 
 app: xca.html
 	mkdir -p $(APPDIR)/Resources

=== debian/changelog ===
xca (1.4~pre2-1) unstable; urgency=medium

  * New upstream git snapshot from commit 88677279
  * Mention new upstream version in 1.4~pre1-1 changelog entry
  * Remove 0001-Fix-further-spelling-errors-found-by-lintian-packge-.patch,
    applied upstream

 -- Tino Mettler <tino+debian@tikei.de>  Wed, 22 Nov 2017 14:02:03 +0100

xca (1.4~pre1-1) unstable; urgency=medium

  * New upstream git snapshot from commit 4ef4c9ad
  * Switch to OpenSSL 1.1 (Closes: #859826)
  * Add 0001-Fix-further-spelling-errors-found-by-lintian-packge-.patch
    to fix new spelling errors found by lintian
  * Bump standards version, no changes needed

 -- Tino Mettler <tino+debian@tikei.de>  Mon, 20 Nov 2017 21:28:27 +0100

xca (1.3.2-3) unstable; urgency=medium

  * Fix further spelling errors found by lintian packge checker
  * Change build depends from QT4 to QT5 (Closes: #875237)
  * Use changelog info from pkg-info.mk to fix lintian warning
  * Remove dh_make references from debian/watch to fix a lintian warning
  * Bump standards version, no changes needed

 -- Tino Mettler <tino+debian@tikei.de>  Tue, 19 Sep 2017 14:45:04 +0200

xca (1.3.2-2) unstable; urgency=medium

  * Enable all hardening flags, not just the default
  * Drop override for clean, it isn't needed anymore
  * Use dh-autoreconf to fix build failure when built twice in a row
  * Change Vcs-Git to the repository used for packaging, not upstream
  * Bump standards version, no changes needed
  * Add 0002-Fix-clean-target.patch to remove all generated files during clean
  * Add 0003-Allow-to-specify-CPPFLAGS-on-the-command-line.patch to use
    the CPPFLAGS environment variable
  * Drop 0001-Use-Debian-specific-CPPFLAGS.patch which is replaced by the obove
    patch
  * Build-Depend on libssl1.0-dev to fix FTBFS with OpenSSL 1.1
    (Closes: #828604)
  * Don't strip xca, the xca-dbgsym package needs the debug symbols

 -- Tino Mettler <tino+debian@tikei.de>  Wed, 09 Nov 2016 14:53:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: x11
 Priority: optional
 Maintainer: Tino Mettler <tino+debian@tikei.de>
-Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~), autoconf, automake
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev-tools, libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~), autoconf, automake, dh-autoreconf
+Standards-Version: 4.1.1
 Homepage: http://xca.sourceforge.net
-Vcs-Git: http://git.hohnstaedt.de/xca.git
+Vcs-Git: http://tikei.de/git/xca.git
 
 Package: xca
 Architecture: any

## xca 1.4~pre3

=== debian/changelog ===
xca (1.4~pre3-1) unstable; urgency=medium

  [ Tino Mettler ]
  * As XCA does not use QT4 anymore, mention just QT in the short description
    (Closes: #882471)

  [ Christian Hohnstaedt ]
  * Of course we support Big Endian machines. Remove debugging mechanism
    (Closes: #882470)

 -- Tino Mettler <tino+debian@tikei.de>  Thu, 23 Nov 2017 13:35:21 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: xca
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: x509 Certification Authority management tool based on QT4
+Description: x509 Certification Authority management tool based on QT
  XCA creates and manages Certificate authorities and helps the user to
  create and manage keys, certificates, certificate sign requests,
  certificate revocation lists etc.

## xca 1.4.1

=== Makefile ===
--- 
+++ 
@@ -31,8 +31,8 @@
 MACTARGET=$(DMGSTAGE)-$(DARWIN)${EXTRA_VERSION}
 APPDIR=$(DMGSTAGE)/xca.app/Contents
 OSSLSIGN_OPT=sign -pkcs12 "$(HOME)"/Christian_Hohnstaedt.p12 -askpass \
-	-n "XCA $(VERSION)" -i https://sourceforge.net/projects/xca/ \
-	-t http://time.certum.pl -h sha2 -verbose
+	-n "XCA $(VERSION)" -i https://hohnstaedt.de/xca \
+	-t http://timestamp.comodoca.com -h sha2 -verbose
 
 all: xca_db_stat$(SUFFIX)
 ifeq ($(SUFFIX), .exe)
@@ -68,11 +68,11 @@
 	@$(PRINT) "  LINK   $@"
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(patsubst %,@%, $^) $(LIBS) -o $@
 
-do.ui do.doc do.lang: do.%:
+do.ui do.doc do.lang do.misc: do.%:
 	mkdir -p $*
 	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile VPATH=$(TOPDIR)/$* $*
 
-headers: do.ui
+headers: do.ui commithash.h
 
 %/.build-stamp: headers
 	mkdir -p $*
@@ -100,12 +100,12 @@
 				-o -name ".depend" \
 				-o -name "moc_*.cpp" | xargs rm -f
 	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz doc/xca_db_stat.1.gz img/imgres.cpp
-	rm -f lang/*.xml lang/.build-stamp
+	rm -f lang/*.xml lang/.build-stamp misc/dn.txt misc/eku.txt misc/oids.txt
 	rm -f xca$(SUFFIX) setup_xca*.exe xca_db_stat$(SUFFIX) lib/xca_db_stat$(SUFFIX) *.dmg
 	rm -rf xca-$(VERSION)*
 
 distclean: clean
-	rm -f local.h Local.mak config.log config.status
+	rm -f local.h Local.mak config.log config.status commithash.h
 
 dist: $(TARGET).tar.gz
 $(TARGET).tar:
@@ -133,7 +133,7 @@
 	$(STRIP) $(destdir)$(bindir)/xca
 
 setup.exe: setup_xca-$(VERSION).exe
-setup_xca-$(VERSION).exe: xca$(SUFFIX) xca_db_stat$(SUFFIX) do.doc do.lang
+setup_xca-$(VERSION).exe: xca$(SUFFIX) xca_db_stat$(SUFFIX) do.doc do.lang do.misc
 setup_xca-$(VERSION).exe: misc/xca.nsi
 	for binary in xca$(SUFFIX) xca_db_stat$(SUFFIX); do \
 	  $(STRIP) xca$(SUFFIX); \
@@ -165,23 +165,27 @@
 	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
 	ln -s xca.html $(DMGSTAGE)/manual/index.html
 	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
-	-codesign -s "Open Source Developer, Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp http://time.certum.pl
+	codesign --force --deep --signature-size=96000 -s "Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp
 
 xca.dmg: $(MACTARGET).dmg
 
 xca.app: $(DMGSTAGE)
 
 $(MACTARGET).dmg: $(DMGSTAGE)
-	hdiutil create -ov -srcfolder $< $@
+	hdiutil create -ov -srcfolder "$<" "$@"
 
 trans:
 	$(MAKE) -C lang po2ts
-	lupdate-qt4 -locations relative $(TOPDIR)/xca.pro
+	lupdate -locations relative $(TOPDIR)/xca.pro
 	$(MAKE) -C lang xca.pot
 
-.PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang macdeployqt/macdeployqt $(DMGSTAGE)
+.PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang macdeployqt/macdeployqt $(DMGSTAGE) commithash.h
 
 do.doc do.lang headers: local.h
 
 Local.mak: configure Local.mak.in
 	$(TOPDIR)/configure
+
+commithash.h:
+	@$(PRINT) "  GEN    $@"
+	$(TOPDIR)/gen_commithash.h.sh $@

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DELFILES=xca*.html xca.1.gz xca_db_stat.1.gz
 
-doc: xca.1.gz xca_db_stat.1.gz xca.html
+doc: xca.1.gz xca_db_stat.1.gz xca.html changelog.html
 include $(TOPDIR)/Rules.mak
 
 %.1.gz: %.1
@@ -14,7 +14,7 @@
 
 xca.html: xca.sgml
 	rm -f xca*.html
-	echo 'The documentation for XCA can be viewed online at: <a href="http://xca.sourceforge.net/">http://xca.sourceforge.net/</a>.' > $@
+	echo 'The documentation for XCA can be viewed online at: <a href="http://hohnstaedt.de/documentation">http://hohnstaedt.de/documentation</a>.' > $@
 	test ! -f xca-doc.tgz || tar zxf xca-doc.tgz
 	@$(PRINT) "  DOC    [$(BASENAME)] $@"
 	$(ENABLE_DOC)$(DOCTOOL) $< >/dev/null
@@ -28,3 +28,13 @@
 app: xca.html
 	mkdir -p $(APPDIR)/Resources
 	install -m 644 xca*.html $(APPDIR)/Resources
+
+changelog.html: $(TOPDIR)/changelog $(TOPDIR)/doc/html.header
+	( cat $(TOPDIR)/doc/html.header; \
+	  echo '</head><body><div><ul>'; \
+	  sed  's/&/\&amp;/g; s/</\&lt;/g; s/>/\&gt;/g; s/^xca \([0-9\.]*\) \(.*\)/<\/ul><\/div><div id="changelog_\1"><h3>xca \1 \2<\/h3><ul>/; s/\*/<\/li><li>/'; \
+	  echo '</body></html>' \
+	) < $< > $@
+
+upload: changelog.html xca.html
+	scp *.html hohnstaedt.de:xca-doc/

=== img/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	@$(PRINT) "  RCC    [$(BASENAME)] $@"
 	$(RCC) -o $@ $<
 
-imgres.rcc: bigcert.png bigcrl.png bigcsr.png bigkey.png bigtemp.png crl.png halfkey.png invalidcertkey.png invalidcert.png key.png netscape.png reqkey.png req.png revoked.png spki.png template.png validcertkey.png validcert.png scard.png
+imgres.rcc: bigcert.png bigcrl.png bigcsr.png bigkey.png bigtemp.png crl.png halfkey.png invalidcertkey.png invalidcert.png key.png netscape.png reqkey.png req.png template.png validcertkey.png validcert.png scard.png
 
 w32res.o: w32res.rc key.ico xca.ico xdb.ico
 	@$(PRINT) " WINDRES $@"

=== lang/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 endif
 include $(TOPDIR)/Rules.mak
 
-PO_LANGUAGES=es tr fr
+PO_LANGUAGES=es tr fr sk
 LANGUAGES=de ru hr $(PO_LANGUAGES)
 QM_XCA=$(patsubst %, xca_%.qm, $(LANGUAGES))
 QM_QT=$(patsubst %, qt_%.qm, $(LANGUAGES))

=== lib/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 MOCNAMES=db_crl db_key db_temp db_x509 db_x509req db_x509super db_base db_token\
 	pki_temp pki_x509 pki_crl pki_x509req pki_key pki_x509super pki_pkcs12 \
 	pki_base pki_multi pki_evp pki_scard pass_info pki_pkcs7 main
-NAMES=$(MOCNAMES) asn1int oid x509rev asn1time \
+NAMES=$(MOCNAMES) asn1int oid x509rev asn1time version \
 	x509v3ext func load_obj x509name db import \
 	pk11_attribute pkcs11 pkcs11_lib Passwd builtin_curves entropy

=== misc/Makefile ===

SRCPATH=$(VPATH)/
ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

include $(TOPDIR)/Rules.mak

CONFIG_OBJ = dn.txt oids.txt eku.txt

misc all: $(CONFIG_OBJ)

MSG := \# Do not edit this file, rather use

%.txt: %.text
	@$(PRINT) "  GEN    [$(BASENAME)] $@"
ifeq ($(HOST), w32)
	(echo "$(MSG) PROFILE\Application Data\xca\$@" && cat $^) | sed 's/$$/\r/' > $@
else ifneq ($(DARWIN),)
	(echo "$(MSG) HOME/Library/Preferences/xca/$@" && cat $^) > $@
else
	(echo "$(MSG) /etc/xca/$@ or HOME/.xca/$@" && cat $^) > $@
endif


install:
	install -m 755 -d $(destdir)$(xca_prefix) \
		$(destdir)$(datarootdir)/applications \
		$(destdir)$(datarootdir)/mime/packages
	install -m 644 $(CONFIG_OBJ) $(SRCPATH)*.xca \
			$(destdir)$(xca_prefix)
	install -m 644 $(SRCPATH)xca.desktop $(destdir)$(datarootdir)/applications
	install -m 644 $(SRCPATH)xca.xml $(destdir)$(datarootdir)/mime/packages
	if test -z "$(destdir)"; then \
	  update-mime-database $(datarootdir)/mime || :; \
	  update-desktop-database || :; \
	fi

app:
	mkdir -p $(APPDIR)/Resources
	install -m 644 $(SRCPATH)Info.plist $(SRCPATH)PkgInfo $(APPDIR)
	install -m 644 $(CONFIG_OBJ) $(SRCPATH)*.xca $(APPDIR)/Resources

=== debian/changelog ===
xca (1.4.1-1fakesync1) bionic-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 22 Mar 2018 00:41:53 -0500

xca (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Tino Mettler <tino+debian@tikei.de>  Wed, 21 Mar 2018 22:04:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xca
 Section: x11
 Priority: optional
-Maintainer: Tino Mettler <tino+debian@tikei.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tino Mettler <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev-tools, libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~), autoconf, automake, dh-autoreconf
 Standards-Version: 4.1.1
 Homepage: http://xca.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	./bootstrap
	STRIP=true dh_auto_configure -- --prefix=/usr

override_dh_auto_install:
	destdir=$(CURDIR)/debian/xca dh_auto_install

override_dh_auto_build:
	dh_auto_build -- all

ORIG=${DEB_SOURCE}_${DEB_VERSION_UPSTREAM}

get-orig-source:
	git archive --format=tar upstream/${DEB_VERSION_UPSTREAM} --prefix=${ORIG}/ | gzip -9 > ../${ORIG}.tar.gz

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/xca/xca-(.*)\.tar\.gz

## xca 2.0.1

=== Makefile ===
--- 
+++ 
@@ -32,9 +32,8 @@
 APPDIR=$(DMGSTAGE)/xca.app/Contents
 OSSLSIGN_OPT=sign -pkcs12 "$(HOME)"/Christian_Hohnstaedt.p12 -askpass \
 	-n "XCA $(VERSION)" -i https://hohnstaedt.de/xca \
-	-t http://timestamp.comodoca.com -h sha2 -verbose
+	-t http://timestamp.comodoca.com -h sha2
 
-all: xca_db_stat$(SUFFIX)
 ifeq ($(SUFFIX), .exe)
 all: setup$(SUFFIX)
 export CFLAGS_XCA_DB_STAT=-mconsole
@@ -79,11 +78,6 @@
 	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
 		VPATH=$(TOPDIR)/$*
 
-xca_db_stat$(SUFFIX): lib/.build-stamp
-	$(MAKE) -C lib -f $(TOPDIR)/lib/Makefile \
-		VPATH=$(TOPDIR)/lib $@
-	cp lib/$@ $@
-
 $(INSTTARGET): install.%: %/.build-stamp
 	mkdir -p $*
 	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
@@ -99,9 +93,9 @@
 				-o -name ".build-stamp" \
 				-o -name ".depend" \
 				-o -name "moc_*.cpp" | xargs rm -f
-	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz doc/xca_db_stat.1.gz img/imgres.cpp
+	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz img/imgres.cpp
 	rm -f lang/*.xml lang/.build-stamp misc/dn.txt misc/eku.txt misc/oids.txt
-	rm -f xca$(SUFFIX) setup_xca*.exe xca_db_stat$(SUFFIX) lib/xca_db_stat$(SUFFIX) *.dmg
+	rm -f xca$(SUFFIX) setup_xca*.exe *.dmg
 	rm -rf xca-$(VERSION)*
 
 distclean: clean
@@ -126,16 +120,18 @@
 	git archive --format=tar --prefix=xca-$${HASH}/ HEAD | \
 		gzip -9 > xca-$${HASH}.tar.gz
 
-install: xca$(SUFFIX) xca_db_stat$(SUFFIX) $(INSTTARGET)
+install: xca$(SUFFIX) $(INSTTARGET)
 	install -m 755 -d $(destdir)$(bindir)
 	install -m 755 xca $(destdir)$(bindir)
-	install -m 755 xca_db_stat $(destdir)$(bindir)
 	$(STRIP) $(destdir)$(bindir)/xca
 
+xca-8859-1.nsi: misc/xca.nsi
+	iconv -f utf8 -t iso-8859-15 -o "$@" "$<"
+
 setup.exe: setup_xca-$(VERSION).exe
-setup_xca-$(VERSION).exe: xca$(SUFFIX) xca_db_stat$(SUFFIX) do.doc do.lang do.misc
-setup_xca-$(VERSION).exe: misc/xca.nsi
-	for binary in xca$(SUFFIX) xca_db_stat$(SUFFIX); do \
+setup_xca-$(VERSION).exe: xca$(SUFFIX) do.doc do.lang do.misc
+setup_xca-$(VERSION).exe: xca-8859-1.nsi
+	for binary in xca$(SUFFIX); do \
 	  $(STRIP) xca$(SUFFIX); \
 	  if test -n "$(OSSLSIGN)"; then \
 	    $(OSSLSIGN) $(OSSLSIGN_OPT) -in $${binary} -out $${binary}.signed && \
@@ -150,7 +146,7 @@
 	fi
 
 
-$(DMGSTAGE): xca$(SUFFIX) xca_db_stat$(SUFFIX)
+$(DMGSTAGE): xca$(SUFFIX)
 	rm -rf $(DMGSTAGE)
 	mkdir -p $(DMGSTAGE)/xca.app/Contents/MacOS
 	mkdir -p $(DMGSTAGE)/xca.app/Contents/Resources
@@ -158,9 +154,7 @@
 	ln -s /Applications $(DMGSTAGE)
 	install -m 644 $(TOPDIR)/COPYRIGHT $(DMGSTAGE)/COPYRIGHT.txt
 	install -m 755 xca $(DMGSTAGE)/xca.app/Contents/MacOS
-	install -m 755 xca_db_stat $(DMGSTAGE)/xca.app/Contents/MacOS
 	$(STRIP) $(DMGSTAGE)/xca.app/Contents/MacOS/xca
-	$(STRIP) $(DMGSTAGE)/xca.app/Contents/MacOS/xca_db_stat
 	$(MAKE) $(APPTARGET)
 	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
 	ln -s xca.html $(DMGSTAGE)/manual/index.html

=== lang/Makefile ===
--- 
+++ 
@@ -30,12 +30,9 @@
 	  done || :
 
 po2ts: $(TS_XCA)
-xca_%.ts.xml: %.po
-	po2ts -i $< > $(@)
-
-xca_%.ts: indent.xslt xca_%.ts.xml
-	xsltproc -o $@ $^
+xca_%.ts: %.po
+	$(LCONVERT) -if po -i $< -of ts -o $(@)
 
 xca.pot: xca.ts
-	ts2po -P $< $@
+	$(LCONVERT) -if ts -of po -i $< -o $@

=== misc/Makefile ===
--- 
+++ 
@@ -37,8 +37,8 @@
 	  update-desktop-database || :; \
 	fi
 
-app:
+app: Info.plist
 	mkdir -p $(APPDIR)/Resources
-	install -m 644 $(SRCPATH)Info.plist $(SRCPATH)PkgInfo $(APPDIR)
+	install -m 644 $^ $(SRCPATH)PkgInfo $(APPDIR)
 	install -m 644 $(CONFIG_OBJ) $(SRCPATH)*.xca $(APPDIR)/Resources

=== debian/changelog ===
xca (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * XCA 2.0 depends on libqt5sql5-sqlite
  * Add NEWS file to describe database changes in the 2.0 release
  * Correct .orig.tar.gz generation, the filename was wrong

 -- Tino Mettler <tino+debian@tikei.de>  Tue, 03 Jul 2018 16:03:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xca
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tino Mettler <tino+debian@tikei.de>
+Maintainer: Tino Mettler <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev-tools, libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~), autoconf, automake, dh-autoreconf
 Standards-Version: 4.1.1
 Homepage: http://xca.sourceforge.net
@@ -10,7 +9,8 @@
 
 Package: xca
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libqt5sql5-sqlite
 Description: x509 Certification Authority management tool based on QT
  XCA creates and manages Certificate authorities and helps the user to
  create and manage keys, certificates, certificate sign requests,

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,4 @@
 ORIG=${DEB_SOURCE}_${DEB_VERSION_UPSTREAM}
 
 get-orig-source:
-	git archive --format=tar upstream/${DEB_VERSION_UPSTREAM} --prefix=${ORIG}/ | gzip -9 > ../${ORIG}.tar.gz
+	git archive --format=tar upstream/${DEB_VERSION_UPSTREAM} --prefix=${ORIG}/ | gzip -9 > ../${ORIG}.orig.tar.gz

## xca 2.1.2

=== Makefile ===
--- 
+++ 
@@ -28,14 +28,14 @@
 APPTARGET=$(patsubst %, app.%, $(INSTDIR))
 
 DMGSTAGE=$(BUILD)/xca-$(VERSION)
-MACTARGET=$(DMGSTAGE)-$(DARWIN)${EXTRA_VERSION}
+MACTARGET=$(DMGSTAGE)${EXTRA_VERSION}
 APPDIR=$(DMGSTAGE)/xca.app/Contents
 OSSLSIGN_OPT=sign -pkcs12 "$(HOME)"/Christian_Hohnstaedt.p12 -askpass \
 	-n "XCA $(VERSION)" -i https://hohnstaedt.de/xca \
 	-t http://timestamp.comodoca.com -h sha2
 
 ifeq ($(SUFFIX), .exe)
-all: setup$(SUFFIX)
+all: setup$(SUFFIX) xca-portable.zip
 export CFLAGS_XCA_DB_STAT=-mconsole
 else
 ifneq ($(MACDEPLOYQT),)
@@ -94,12 +94,13 @@
 				-o -name ".depend" \
 				-o -name "moc_*.cpp" | xargs rm -f
 	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz img/imgres.cpp
-	rm -f lang/*.xml lang/.build-stamp misc/dn.txt misc/eku.txt misc/oids.txt
-	rm -f xca$(SUFFIX) setup_xca*.exe *.dmg
+	rm -f lang/*.xml lang/.build-stamp misc/dn.txt misc/eku.txt
+	rm -f commithash.h misc/oids.txt
+	rm -f xca$(SUFFIX) setup_xca*.exe *.dmg xca-portable.zip
 	rm -rf xca-$(VERSION)*
 
 distclean: clean
-	rm -f local.h Local.mak config.log config.status commithash.h
+	rm -f local.h Local.mak config.log config.status misc/Info.plist
 
 dist: $(TARGET).tar.gz
 $(TARGET).tar:
@@ -128,23 +129,43 @@
 xca-8859-1.nsi: misc/xca.nsi
 	iconv -f utf8 -t iso-8859-15 -o "$@" "$<"
 
+xca$(SUFFIX).signed: xca$(SUFFIX)
+
+%.signed: %
+	$(STRIP) $<
+	if test -n "$(OSSLSIGN)"; then \
+	  $(OSSLSIGN) $(OSSLSIGN_OPT) -in "$<" -out "$@"; \
+	else \
+	  mv "$<" "$@"; \
+	fi
+
 setup.exe: setup_xca-$(VERSION).exe
-setup_xca-$(VERSION).exe: xca$(SUFFIX) do.doc do.lang do.misc
-setup_xca-$(VERSION).exe: xca-8859-1.nsi
-	for binary in xca$(SUFFIX); do \
-	  $(STRIP) xca$(SUFFIX); \
-	  if test -n "$(OSSLSIGN)"; then \
-	    $(OSSLSIGN) $(OSSLSIGN_OPT) -in $${binary} -out $${binary}.signed && \
-		mv $${binary}.signed $${binary}; \
-	  fi; \
-	done
-	$(MAKENSIS) -DINSTALLDIR=$(INSTALL_DIR) -DQTDIR=$(QTDIR) \
+setup_xca-$(VERSION).exe: xca-8859-1.nsi xca-portable-$(VERSION)
+	$(MAKENSIS) -DINSTALLDIR=xca-portable-$(VERSION) -DQTDIR=$(QTDIR) \
 		-DVERSION=$(VERSION) -DBDIR=$(BDIR) -DTOPDIR=$(TOPDIR)\
 		-NOCD -V2 -DEXTRA_VERSION=${EXTRA_VERSION} $<
 	if test -n "$(OSSLSIGN)"; then \
 	  $(OSSLSIGN) $(OSSLSIGN_OPT) -in $@ -out setup.tmp && mv setup.tmp $@; \
 	fi
 
+xca-portable-$(VERSION): xca$(SUFFIX).signed do.doc do.lang do.misc
+	rm -rf $@
+	mkdir -p $@/sqldrivers $@/platforms
+	cp xca$(SUFFIX).signed $@/xca$(SUFFIX)
+	cp $(patsubst %,misc/%.txt, dn eku oids) \
+	   "$(TOPDIR)"/misc/*.xca doc/*.html lang/*.qm \
+	   $(patsubst %,"$(QTDIR)/bin/%.dll", Qt5Gui Qt5Core Qt5Widgets \
+		Qt5Sql libwinpthread-1 libstdc++-6 libgcc_s_dw2-1) \
+	   "$(INSTALL_DIR)/bin/libltdl-7.dll" \
+	   "$(INSTALL_DIR)/bin/libcrypto-1_1.dll" \
+	   $(patsubst %,"$(QTDIR)/translations/qt_%.qm", de es pl pt ru fr sk) \
+	   "$(TOPDIR)"/COPYRIGHT $@
+	cp "$(QTDIR)/plugins/sqldrivers/qsqlite.dll" $@/sqldrivers
+	cp "$(QTDIR)/plugins/platforms/qwindows.dll" $@/platforms
+
+xca-portable.zip: xca-portable-$(VERSION).zip
+xca-portable-$(VERSION).zip: xca-portable-$(VERSION)
+	zip -r $@ $^
 
 $(DMGSTAGE): xca$(SUFFIX)
 	rm -rf $(DMGSTAGE)
@@ -158,22 +179,25 @@
 	$(MAKE) $(APPTARGET)
 	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
 	ln -s xca.html $(DMGSTAGE)/manual/index.html
+	otool -l $(DMGSTAGE)/xca.app/Contents/MacOS/xca | grep -e "chris\|Users" >&2
 	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
-	codesign --force --deep --signature-size=96000 -s "Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp
+	rpath="`otool -l $(DMGSTAGE)/xca.app/Contents/MacOS/xca | grep -e "chris\|Users"`" && \
+	if test -n "$$rpath"; then echo "  ERROR $$rpath"; false; fi
+	-codesign --force --deep --signature-size=96000 -s "Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp
 
 xca.dmg: $(MACTARGET).dmg
 
 xca.app: $(DMGSTAGE)
 
 $(MACTARGET).dmg: $(DMGSTAGE)
-	hdiutil create -ov -srcfolder "$<" "$@"
+	hdiutil create -ov -fs HFS+ -volname "xca-$(VERSION)" -srcfolder "$<" "$@"
 
 trans:
 	$(MAKE) -C lang po2ts
 	lupdate -locations relative $(TOPDIR)/xca.pro
 	$(MAKE) -C lang xca.pot
 
-.PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang macdeployqt/macdeployqt $(DMGSTAGE) commithash.h
+.PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang macdeployqt/macdeployqt $(DMGSTAGE) commithash.h xca-portable.zip
 
 do.doc do.lang headers: local.h

=== misc/Makefile ===
--- 
+++ 
@@ -13,12 +13,12 @@
 
 MSG := \# Do not edit this file, rather use
 
-%.txt: %.text
+%.txt: preamble.txt %.text
 	@$(PRINT) "  GEN    [$(BASENAME)] $@"
 ifeq ($(HOST), w32)
 	(echo "$(MSG) PROFILE\Application Data\xca\$@" && cat $^) | sed 's/$$/\r/' > $@
 else ifneq ($(DARWIN),)
-	(echo "$(MSG) HOME/Library/Preferences/xca/$@" && cat $^) > $@
+	(echo "$(MSG) HOME/Library/Application Support/data/xca/$@" && cat $^) > $@
 else
 	(echo "$(MSG) /etc/xca/$@ or HOME/.xca/$@" && cat $^) > $@
 endif

=== debian/changelog ===
xca (2.1.2-0ubuntu2) eoan; urgency=medium

  * d/control: Move runtime deps for DB access to Recommends.

 -- Thomas Ward <teward@ubuntu.com>  Thu, 11 Jul 2019 11:14:19 -0400

xca (2.1.2-0ubuntu1) eoan; urgency=medium

  * NOTE: This package update diverges from Debian for this package.
    Package will be looked after by Thomas Ward until such time that
    Debian catches up.
  * New upstream release.  (LP: #1828316)
  * d/control:
    - Add runtime deps on libqt5sql5-{mysql,postgresql} to enable
      remote database functionality and support. Also add required
      build-dep on libqt5sql5 for DB support. (LP: #1828315)
    - Remove Vcs-Git because there is no apt-source compatible
      Git repository for this at this time.
  * d/watch: Update watch file to track Upstream git repository versions

 -- Thomas Ward <teward@ubuntu.com>  Wed, 10 Jul 2019 11:56:44 -0400

=== debian/control ===
Source: xca
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tino Mettler <tino+debian@tikei.de>
Build-Depends: debhelper (>= 9),
               qtbase5-dev,
               qttools5-dev-tools,
               libssl-dev,
               linuxdoc-tools,
               libltdl-dev,
               pkg-config,
               dpkg-dev (>= 1.16.1~),
               autoconf,
               automake,
               dh-autoreconf,
               libqt5sql5
Standards-Version: 4.1.1
Homepage: https://hohnstaedt.de/xca/
Vcs-Git: https://github.com/chris2511/xca

Package: xca
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt5sql5-sqlite
Recommends: libqt5sql5-mysql, libqt5sql5-postgresql
Description: x509 Certification Authority management tool based on QT
 XCA creates and manages Certificate authorities and helps the user to
 create and manage keys, certificates, certificate sign requests,
 certificate revocation lists etc.
 .
 All data is saved in an encrypted, portable database, and can be exported
 in various standard formats. XCA is also available for MacOS X and
 Windows systems.
 .
 For a good workflow, certificate templates can be defined to make the
 creation of new certificates an easy task.

=== debian/watch ===
version=4
https://github.com/chris2511/xca/releases .*/xca-?(\d\S+)\.tar\.gz
